restic backup(1)

NAME

restic-stats - Scan the repository and show basic statistics

SYNOPSIS

restic stats [flags] [snapshot-ID]

DESCRIPTION

The "stats" command walks one or all snapshots in a repository and accumulates statistics about the data stored therein. It reports on the number of unique files and their sizes, according to one of the counting modes as given by the --mode flag.

If no snapshot is specified, all snapshots will be considered. Some modes make more sense over just a single snapshot, while others are useful across all snapshots, depending on what you are trying to calculate.

The modes are:

    •   restore-size: (default) Counts the size of the restored files.

    •   files-by-contents: Counts total size of files, where a file is considered unique if it has unique contents.

    •   raw-data: Counts the size of blobs in the repository, regardless of how many files reference them.

    •   blobs-per-file: A combination of files-by-contents and raw-data.

    •   Refer to the online manual for more details about each mode.

OPTIONS

-h, --help[=false]
    help for stats

-H, --host=""
    filter latest snapshot by this hostname

--mode="restore-size"
    counting mode: restore-size (default), files-by-contents, blobs-per-file, or raw-data

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)